org.apache.coyote.http11.filters

## Class GzipOutputFilter.FakeOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.apache.coyote.http11.filters.GzipOutputFilter.FakeOutputStream

All Implemented Interfaces:
  Closeable, Flushable, AutoCloseable

Enclosing class:
  GzipOutputFilter

    protected class GzipOutputFilter.FakeOutputStream
    extends OutputStream

### Field Summary

Fields
`protected ByteChunk` `outputChunk`
`protected byte[]` `singleByteBuffer`

### Constructor Summary

Constructors
`protected` `GzipOutputFilter.FakeOutputStream()`

### Method Summary

Methods
`void` `close()`
`void` `flush()`
`void` `write(byte[] b, int off, int len)`
`void` `write(int b)`

### Methods inherited from class java.io.OutputStream

`write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### outputChunk

    protected ByteChunk outputChunk

#### singleByteBuffer

    protected byte[] singleByteBuffer

### Constructor Detail

#### GzipOutputFilter.FakeOutputStream

    protected GzipOutputFilter.FakeOutputStream()

### Method Detail

#### write

    public void write(int b)
               throws IOException

Specified by:
  `write` in class `OutputStream`
Throws:
  `IOException`

#### write

    public void write(byte[] b,
             int off,
             int len)
               throws IOException

Overrides:
  `write` in class `OutputStream`
Throws:
  `IOException`

#### flush

    public void flush()
               throws IOException

Specified by:
  `flush` in interface `Flushable`
Overrides:
  `flush` in class `OutputStream`
Throws:
  `IOException`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Overrides:
  `close` in class `OutputStream`
Throws:
  `IOException`